Subject: gitk with submodules does not show new commits on other branches

From: Stephen Kelly <[email-masked]>
Date: Sun, 22 Jun 2014 16:09:22 +0200

Hello,

boost.git, is using submodules. 

If I run gitk after a pull, there are some messages along the lines of 

    Update preprocessor from develop.

  Submodule libs/preprocessor 9d2d1ff..1422fce:
    Merge branch 'master' into develop

That is, it shows only the merge. 

If I then run 

 git log --oneline 9d2d1ff..1422fce 

I can see the commits which were made on master and then merged into 
develop. Please show the same information (ie all commits newly reachable 
from develop) in the submodule gitk output.

Thanks,

Steve.